/*
 * Copyright (C) 2023 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.health.connect;

import java.util.concurrent.Executor;
import android.os.OutcomeReceiver;
import android.health.connect.datatypes.Record;

/**
 * A Base class to represent a request for {@link android.health.connect.HealthConnectManager#readRecords(android.health.connect.ReadRecordsRequest,java.util.concurrent.Executor,android.os.OutcomeReceiver)  }
 *
 * @param <T> the type of the Record for the request
 */

@SuppressWarnings({"unchecked", "deprecation", "all"})
public abstract class ReadRecordsRequest<T extends android.health.connect.datatypes.Record> {

ReadRecordsRequest() { throw new RuntimeException("Stub!"); }

/**
 * Returns record type on which read is to be performed
 * @return This value cannot be {@code null}.
 */

@android.annotation.NonNull
public java.lang.Class<T> getRecordType() { throw new RuntimeException("Stub!"); }
}

