/*
 * Copyright (C) 2023 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package android.health.connect.datatypes;


/** Application Info class containing details about a given application */

@SuppressWarnings({"unchecked", "deprecation", "all"})
public final class AppInfo {

AppInfo() { throw new RuntimeException("Stub!"); }

/**
 * Returns the application package name
 * @return This value cannot be {@code null}.
 */

@android.annotation.NonNull
public java.lang.String getPackageName() { throw new RuntimeException("Stub!"); }

/**
 * Returns the application icon as bitmap
 * @return This value may be {@code null}.
 */

@android.annotation.Nullable
public android.graphics.Bitmap getIcon() { throw new RuntimeException("Stub!"); }

/**
 * Returns the application name/label
 * @return This value may be {@code null}.
 */

@android.annotation.Nullable
public java.lang.String getName() { throw new RuntimeException("Stub!"); }
}

